import logging
import time
import os, subprocess

from logging.handlers import TimedRotatingFileHandler
 
#----------------------------------------------------------------------
def create_rotating_log(path):
    """
    Creates a rotating log
    """
    logger = logging.getLogger("Rotating Log")
    logger.setLevel(logging.INFO)

 
    handler = TimedRotatingFileHandler(path,
                                       when="s",
                                       interval=3600,
                                       backupCount=1)
    logger.addHandler(handler)

    cmdline = ['/usr/local/bin/tempered']
    FNULL = open(os.devnull, 'w')
    tstep = 10
    i = 0;
    while True:
        proc= subprocess.Popen( cmdline, stdout=subprocess.PIPE, stderr=FNULL, universal_newlines=True)
        out, err = proc.communicate()
	proc.wait()
	t = tstep*i
        i = i+1
        line= str(t) + " " + out[28:33]+" "+ out[57:61]
        logger.info(line)
            
        time.sleep(tstep)

#----------------------------------------------------------------------

if __name__ == "__main__":
    log_file = "temp_h.dat"
    create_rotating_log(log_file) 
